/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */

// ui.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "ui.h"
#include "uiDlg.h"

//#define CHINESE_LANG


#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CuiApp

BEGIN_MESSAGE_MAP(CuiApp, CWinApp)
END_MESSAGE_MAP()


// CuiApp construction
CuiApp::CuiApp()
    : CWinApp()
{

}


// The one and only CuiApp object
CuiApp theApp;
// CuiApp initialization

BOOL CuiApp::InitInstance()
{
#if defined(WIN32_PLATFORM_PSPC) || defined(WIN32_PLATFORM_WFSP)
    // SHInitExtraControls should be called once during your application's initialization to initialize any
    // of the Windows Mobile specific controls such as CAPEDIT and SIPPREF.
    SHInitExtraControls();
#endif // WIN32_PLATFORM_PSPC || WIN32_PLATFORM_WFSP

    // Standard initialization
    // If you are not using these features and wish to reduce the size
    // of your final executable, you should remove from the following
    // the specific initialization routines you do not need
    // Change the registry key under which our settings are stored
    // TODO: You should modify this string to be something appropriate
    // such as the name of your company or organization
    SetRegistryKey(_T("FunambolWindowsMobilePlugin"));

    CuiDlg dlg;
    m_pMainWnd = &dlg;

    /*INT_PTR nResponse = dlg.DoModal();
    if (nResponse == IDOK)
    {*/
    if (dlg.DoModal() == IDOK)
    {
        // TODO: Place code here to handle when the dialog is
        //  dismissed with OK
    }

    // Since the dialog has been closed, return FALSE so that we exit the
    //  application, rather than start the application's message pump.
    return FALSE;
}
