/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */

#pragma once

#include "ui.h"

// CBriefcaseSettingsAdvanced dialog

class CBriefcaseSettingsAdvanced : public CDialog
{
	DECLARE_DYNAMIC(CBriefcaseSettingsAdvanced)

public:
	CBriefcaseSettingsAdvanced(CWnd* pParent = NULL);   // standard constructor
	virtual ~CBriefcaseSettingsAdvanced();

    SHMENUBARINFO dlgCommandBar;
    CFont fontBold;
    CEdit editRemote;

// Dialog Data
	enum { IDD = IDD_UI_BRIEFCASE_ADVANCED };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()

    #ifdef  SMARTPHONE2003_UI_MODEL
        LRESULT OnHotkey(WPARAM wParam, LPARAM lParam);
    #endif

    /**
     * called when choosing to save the changes,
     */
    afx_msg void OnOK();

    HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
};
