/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */

#pragma once


// CCalendarSettingsAdvanced dialog

#include "ui.h"

class CCalendarSettingsAdvanced : public CDialog
{
	DECLARE_DYNAMIC(CCalendarSettingsAdvanced)

public:
	CCalendarSettingsAdvanced(CWnd* pParent = NULL);   // standard constructor
	virtual ~CCalendarSettingsAdvanced();

// Dialog Data
	enum { IDD = IDD_UI_CALENDAR_ADVANCED };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual BOOL OnInitDialog();
    BOOL PreTranslateMessage( MSG* pMsg );

    // loads strings onto the dialog from the stringtable
    void LoadStringResources();
    CButton radioBut1;
    CButton radioBut2;
    CEdit editRemote;
    CFont fontBold;

    SHMENUBARINFO dlgCommandBar;
	DECLARE_MESSAGE_MAP()
    #ifdef	SMARTPHONE2003_UI_MODEL
        LRESULT OnHotkey(WPARAM wParam, LPARAM lParam);
    #endif

    afx_msg void OnOK();
    HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);


};
