/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */

#pragma once

#include <string>

/** CLoglevelSettings dialog */
class CLoglevelSettings : public CDialog
{
    DECLARE_DYNAMIC(CLoglevelSettings)

public:
    CLoglevelSettings(CWnd* pParent = NULL);   // standard constructor
    virtual ~CLoglevelSettings();

    // Dialog Data
    enum { IDD = IDD_UI_LOGLEVEL };

    afx_msg void OnOK();
    /**
     * user has chosen 'View'  from the menubar
     */
    afx_msg void OnMenuViewLog();

protected:

    SHMENUBARINFO dlgCommandBar;
    CButton radioBut1;
    CButton radioBut2;
    CButton radioBut3;
    CFont fontBold;
    BOOL OnInitDialog();
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual BOOL PreTranslateMessage(MSG* pMsg);

    DECLARE_MESSAGE_MAP()
    HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);

private:
    /**
     * contains the log file path
     */
    CString logname;
};
