/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */

#include "HwndFunctions.h"

#include "tchar.h"

void findFunambolWindow2()
{
    //-- for finding if the UI window is present
    HwndFunctions::wnd = FindWindow(NULL, _T("Funambol plug-in"));

}

void findAlert(){
  HwndFunctions::wndMsgBox = FindWindow(NULL , _T("Funambol alert"));
}

/*
void findAccountWindow2(){
    HwndFunctions::wndAccountWindow = FindWindow(L"funambolDownloadMail", NULL);
}


void findAccountWindow(){
    HANDLE handle = CreateThread(NULL, 0, (LPTHREAD_START_ROUTINE)findAccountWindow2, NULL, 0, NULL);
    DWORD t = WaitForSingleObject(handle, 2000);
}

HWND HwndFunctions::getAccountWindowHandle() {

    if (wndAccountWindow == NULL)
        findAccountWindow();
    return wndAccountWindow;
}
*/

void HwndFunctions::closePreviousMsgBox(){

    HANDLE handle = CreateThread(NULL, 0, (LPTHREAD_START_ROUTINE)findAlert, NULL, 0, NULL);
    DWORD t = WaitForSingleObject(handle, 500);

    if(wndMsgBox){
        SendMessage(wndMsgBox, WM_CLOSE, NULL, NULL);
    }
    wndMsgBox = NULL;

}

void HwndFunctions::findFunambolWindow()
{
    //HwndFunctions::wnd = NULL;

    HANDLE hand = CreateThread(NULL, 0, (LPTHREAD_START_ROUTINE)findFunambolWindow2, NULL, 0, NULL);
    DWORD t = WaitForSingleObject(hand, 2000); // 2 secs.
    /*switch(t) {
        case WAIT_OBJECT_0:
            DWORD exitcode;
            if ( GetExitCodeProcess(hand, &exitcode) ){
                return;
            }
            else
                return;
            break;
        default:
            return;
    };
    */

}

HWND HwndFunctions::getWindowHandle() {

    if (wnd == NULL)
        findFunambolWindow();

    return wnd;
}

void HwndFunctions::initHwnd() {
    if (wnd == NULL)
        findFunambolWindow();
}

HWND HwndFunctions::wnd = NULL;
HWND HwndFunctions::wndMsgBox = NULL;
//HWND HwndFunctions::wndAccountWindow = NULL;


int sourceNameToId( const char* sourceName ){

    int source = -1;
    if(!strcmp(sourceName, "contact"))
        source = SOURCE_CONTACTS;
    if(!strcmp(sourceName, "calendar"))
        source = SOURCE_CALENDAR;
    if(!strcmp(sourceName, "task"))
        source = SOURCE_TASKS;
    if(!strcmp(sourceName, "briefcase"))
        source = SOURCE_BRIEFCASE;
    if(!strcmp(sourceName, "note"))
        source = SOURCE_NOTES;
    if(!strcmp(sourceName, "mail"))
        source = SOURCE_MAIL;

    return source;
}

// TODO: implement it
const char* sourceIdToName( const char* sourceName ){

    return NULL;
}
