/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */
//
// @author Marco Magistrali
//
#ifndef INCL_FILE_CLIENT2SERVER
    #define INCL_FILE_CLIENT2SERVER

    #include "pim/Container.h"
    #include "base/base64.h"
    #include "base/util/utils.h"

    #include <string>
    using namespace std;


    void setAllItemsFILE(Container* c, int dataType, const wchar_t* path, const wchar_t* dir);

    void setModifiedItemsFILE(Container* c, int dataType, const wchar_t* path, const wchar_t* dir);

    // only for favorites source. It can be removed
    void translateText2Base64(wchar_t** ptrFileContent);

    //char* getB64DataContentByFilename(wchar_t* filename);

    void setAllItemsFILEKey(Container* c, int dataType, const wchar_t* path, const wchar_t* dir);

#endif