/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */
//
// @author Marco Magistrali
//
#ifndef INCL_POOM_CLIENT2SERVER
    #define INCL_POOM_CLIENT2SERVER

    #include "pim/Container.h"
    #include "pimstore.h"

    #include <vector>
    using namespace std;

    void setAllItemsPOOM(Container* c, int dataType, wchar_t* path);
    void fillModifiedOidArray (vector<long>& newOid, vector<long>& updateOid, vector<long>& deleteOid,
                           IPOutlookApp *polApp, int dataType, wchar_t* path);
    void setModifiedItemsPOOM(Container* c, int dataType, wchar_t* path);

    void fillSyncItem(SyncItem* syncItem, int dataType);
    int deleteAllItems(int dataType);

    // it normalizes all the appointment exceptions to remove the exceptions
    // and make them as normal appointment
    void normalizeAllExceptions();

#endif