/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */

//
// @author Marco Magistrali
//

#ifndef INCL_POOMFILEMANAGEMENT_PIM
    #define INCL_POOMFILEMANAGEMENT_PIM

    #include <string>
    #include <list>
    #include <vector>

    using namespace std;

    void writeToFile(vector<long> &currentOid, vector<long> &currentHash, int dataType, wchar_t* path);
    void readFromFile(long* previousCountItem, vector<long> &previousOid, vector<long> &previousHash, int dataType, wchar_t* path);
    BOOL existsFile(int dataType, wchar_t* path);

    void readAppOidToReset(vector<long> &oidToReset, wchar_t* path);

#endif