/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */
//
// @author Marco Magistrali
//

#ifndef INCL_TASK_BUILDER
    #define INCL_TASK_BUILDER

    #include "pimstore.h"
    #include "pim/Utils.h"
    #include "pim/UtilsRecurrence.h"
    #include "pim/crc32.h"
    #include "vocl/VObject.h"

    #include <string>
    using namespace std;

    //USING_PTYPES

        void populateTaskStringItem (std::wstring &contactStringItem, ITask *pTask, BOOL isCRC = FALSE);
        void completeTask           (ITask *pTask, wchar_t * ptrData);
        long calculateTaskHash      (ITask *pTask);
        VObject* TaskToVObject(ITask *pTask);
        void VObjectToTask(ITask *pTask, VObject *vo);

#endif