; NOTE: this .NSI script works on version 2.09. Thanks to Amir Szekely for the help.

Name "Funambol Windows Mobile Smartphone Plug-in ${VERSION_NUMBER}"
Icon "..\presetup\install.ico"
OutFile "${DIR_OUTPUT}\fileNameToRename.exe"
UninstallIcon "..\presetup\install.ico"

; Some default compiler settings (uncomment and change at will): 
 SetCompress auto 
; SetDatablockOptimize on ;
; CRCCheck on ;
; AutoCloseWindow false ;
; ShowInstDetails hide ;
; SetDateSave off ;

;LicenseText "Please read carefully. You must agree to this EULA before installing." 
;LicenseData COPYING
InstallDir "$PROGRAMFILES\Funambol\Windows Mobile Plug-in"
;DirText "Select the directory:"

;Function .onInit
;      MessageBox MB_OKCANCEL "It is strongly recommended to uninstall any previous installed Funambol plug-in before continuation." IDOK continue
;      Abort
;      
;      continue:
;      
;FunctionEnd

;InstType "FULL Installation"

;CheckBitmap "check.bmp"

;ComponentText "This setup launcher will install the following file/s on your Smartphone" " " "Please choose file/s to install:"


Section "File 1 (Main)" ;
SectionIn 1

SetOutPath "$INSTDIR"

;File COPYING
;File ..\sph2003\output\setup-sph-2003.CAB
;File setup-sph-2003.ini
File ${CABS}
File ${INIS}

; one-time initialization needed for InstallCAB subroutine 
ReadRegStr $1 HKEY_LOCAL_MACHINE "software\Microsoft\Windows\CurrentVersion\App Paths\CEAppMgr.exe" "" 
IfErrors Error 
Goto End
Error:
MessageBox MB_OK|MB_ICONEXCLAMATION \
"Unable to find Application Manager for Smartphone applications. \
Please install ActiveSync Program and reinstall Funambol."
End:

StrCpy $0 "$INSTDIR\${FILEINI}"
;StrCpy $0 "$INSTDIR\setup-sph-2003.ini"
Call InstallCAB 

SectionEnd ;


Section "-post" ; (post install section, happens last after any optional sections) ;
;WriteRegStr HKEY_LOCAL_MACHINE "Software\Microsoft\Windows\CurrentVersion\Uninstall\Funambol" "DisplayName" "Funambol (remove only)"
;WriteRegStr HKEY_LOCAL_MACHINE "Software\Microsoft\Windows\CurrentVersion\Uninstall\Funambol" "UninstallString" '"\Storage\aa\uninst.exe"'
  
; write out uninstaller
WriteUninstaller "$INSTDIR\Uninstall.exe"


;MessageBox MB_OK|MB_ICONEXCLAMATION \
;  "Thank you for installing Funambol Smartphone plug-in." 

SectionEnd ;


ShowInstDetails nevershow ;

; begin uninstall settings/section
UninstallText "This will uninstall Funambol from your system"


Section Uninstall
;Delete "\Storage\aa\uninst.exe" 
;DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\Funambol" 
;DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Funambol"
;RMDir "\Storage\aa"
SectionEnd ;



; Installs a Smartphone cab-application
; It expects $0 to contain the absolute location of the ini file 
; to be installed.
Function InstallCAB

  ExecWait '"$1" "$0"'

FunctionEnd


; eof
