/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */

#define APIEXPORT __declspec(dllexport)
/** @cond WMPLUGIN_NOTLISTENER */
/** @ingroup NotificationListenerDll */
/** @{ */
APIEXPORT BOOL S4N_Open(
  DWORD dwData,
  DWORD dwAccess,
  DWORD dwShareMode
);

APIEXPORT BOOL S4N_Close(
  DWORD dwData
);

APIEXPORT BOOL S4N_Deinit(
  DWORD dwData
);

APIEXPORT DWORD S4N_Init(
  DWORD dwData
);

APIEXPORT BOOL S4N_IOControl(
  DWORD dwData,
  DWORD dwCode,
  PBYTE pBufIn,
  DWORD dwLenIn,
  PBYTE pBufOut,
  DWORD dwLenOut,
  PDWORD pdwActualOut
);


APIEXPORT DWORD S4N_Read(
  DWORD dwData,
  LPVOID pBuf,
  DWORD dwLen
);

APIEXPORT DWORD S4N_Seek(
  DWORD dwData,
  long pos,
  DWORD type
);

APIEXPORT DWORD S4N_Write(
  DWORD dwData,
  LPVOID pInBuf,
  DWORD dwInLen
);

/// Not used: to remove
APIEXPORT int startSync();

/// Not used: to remove
APIEXPORT const wchar_t *getMessage();

/** @} */
/** @endcond */