/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */

#ifndef __OTA_CONFIG_MESSAGE_HANDLER_H__
#define __OTA_CONFIG_MESSAGE_HANDLER_H__

#include <windows.h>
#include "pushclient.h"

#include "spds/constants.h"
#include "spdm/DMTree.h"
#include "spdm/DMTreefactory.h"
#include "base/Log.h"
#include "pim/utils.h"
#include "base/util/utils.h"
#include "OTAConfigMessage.h"

class OTAConfigMessageHandler  {

public:

    /*
    * return an ota config message
    */
    static OTAConfigMessage* parse(PUSHMSG* pushmsg);

    /*
    * return true if the action goes properly; false othewhise
    */
    static bool store(OTAConfigMessage* otaMsg);

protected:

    static OTAConfigMessage* parse(const char* msg, int length);
};


#endif

