/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */

#ifndef __PUSHMESSAGE_H__
#define __PUSHMESSAGE_H__

#include <windows.h>
#include "pushclient.h"
#include "syncml/core/SyncNotification.h"
#include "spds/constants.h"
#include "spdm/DMTree.h"
#include "spdm/DMTreefactory.h"
#include "base/Log.h"
#include "pim/utils.h"
#include "base/util/utils.h"

TCHAR const c_szAppId[] = TEXT("x-wap-application:push.syncml");
TCHAR const c_szContentType[] = TEXT("");
//TCHAR const c_szAppIdOTA[] = TEXT("application/vnd.wap.connectivity-wbxml");
//TCHAR const c_szContentTypeOTA[] = TEXT("");
TCHAR const c_szAppIdOTA[] = TEXT("x-wap-application:push.syncml");
TCHAR const c_szContentTypeOTA[] = TEXT("application/vnd.wap.connectivity-wbxml");


//
// For Smartphone 2003 is not possible match appID and contentType together.
// So we get the appID only (and contentType = ""
//
//TCHAR const c_szContentType[] = TEXT("application/vnd.syncml.ds.notification");

TCHAR const c_szPath[] = TEXT("\\Programmi\\Funambol\\startsync.exe");
TCHAR const c_szParams[] = TEXT("wap_push");
TCHAR const c_szParamsOTA[] = TEXT("OTA_config");

int handleWapPushMessage(LPPUSHMSG pPushMsg, wchar_t*** sources);

static wchar_t *getSourceName(const char *root, const char *uri);

#endif

