/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */

#pragma once
#include "afxwin.h"
#include "CustomButton.h"

// CCalendarSettings dialog

class CCalendarSettings : public CDialog
{
	DECLARE_DYNAMIC(CCalendarSettings)

public:
	CCalendarSettings(CWnd* pParent = NULL);   // standard constructor
	virtual ~CCalendarSettings();

// Dialog Data
	enum { IDD = IDD_UI_CALENDAR };

protected:
    #if defined(WIN32_PLATFORM_PSPC)
        CComboBox lstSyncType;
    #endif

    #if defined(WIN32_PLATFORM_WFSP)
        CListBox lstSyncType;
        CSpinButtonCtrl spinSyncType;
    #endif

    SHMENUBARINFO dlgCommandBar;
    CFont fontBold;
    CCustomButton linkAdvanced;

    virtual BOOL OnInitDialog();
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual BOOL PreTranslateMessage(MSG* pMsg);

    DECLARE_MESSAGE_MAP()
public:
     afx_msg void OnOK();

    /**
     * "Advanced Settings" link was actived, open Advanced window
     */
    afx_msg void OnBnClickedCalendarLinkAdvanced();

    HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
};
