/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */

#pragma once

#define PUSH_NETWORK_AVAILABLE 1
#define PUSH_NETWORK_UNAVAILABLE 2

#include "ui.h"

class CPushCheck : public CDialog
{
	DECLARE_DYNAMIC(CPushCheck)

public:
	CPushCheck(CWnd* pParent = NULL);   // standard constructor
	virtual ~CPushCheck();

// Dialog Data
	enum { IDD = IDD_UI_PUSH_CHECK };
    CFont fontBold;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
    afx_msg void OnTimer( UINT_PTR nIDEvent );

    afx_msg void OnCancel(){};
    afx_msg void OnOK(){};
};
