/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */

#pragma once

#include "ui.h"
// CTaskSettingsAdvanced dialog

class CTaskSettingsAdvanced : public CDialog
{
	DECLARE_DYNAMIC(CTaskSettingsAdvanced)

public:
	CTaskSettingsAdvanced(CWnd* pParent = NULL);   // standard constructor
	virtual ~CTaskSettingsAdvanced();

// Dialog Data
	enum { IDD = IDD_UI_TASKS_ADVANCED };
    SHMENUBARINFO dlgCommandBar;
    CFont fontBold;
    CEdit editRemote;
    void LoadStringResources();

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
    #ifdef SMARTPHONE2003_UI_MODEL
        LRESULT OnHotkey(WPARAM wParam, LPARAM lParam);
    #endif
    afx_msg void OnOK();
    HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);

};
