/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */

#ifndef INCL_DIFF_TIME
#define INCL_DIFF_TIME

const __int64 nano100SecInWeek=(__int64)10000000*60*60*24*7;
const __int64 nano100SecInDay=(__int64)10000000*60*60*24;
const __int64 nano100SecInHour=(__int64)10000000*60*60;
const __int64 nano100SecInMin=(__int64)10000000*60;
const __int64 nano100SecInSec=(__int64)10000000;

SYSTEMTIME DT_AddDiff (
        const __int64 datepart, /*datepart with we want to manipulate, {nano100SecInDay ...}*/
        const __int64 num, /*value used to increment/decrement datepart*/
        const SYSTEMTIME* pst /*valid datetime which we want change*/
 );

 double DT_PeriodsBetween (
             const __int64 datepart, /*datepart that we want to count, nano100SecInDay ...}*/
             const SYSTEMTIME* pst1, /*valid datetime*/
             const SYSTEMTIME* pst2  /*valid datetime*/
 );

/*
* Function to get the day of week. maybe it's better to put these functions in the api
*/
int	    DayOfWeek( int nYear, int nMonth, int nDay );
int	    CountOfFeb29( int nYear );
bool    IsLeapYear( int nYear );

#endif
