/*
 * Copyright (C) 2003-2007 Funambol, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */
#ifndef INCL_MAIL_INFO
    #define INCL_MAIL_INFO

#include "base/util/ArrayElement.h"
#include "base/util/ArrayList.h"
#include "base/util/utils.h"
#include "base/Log.h"
#include "pim/mail/mailItem.h"

class /* __declspec(dllexport) */ MailInfo {

    private:

        void initialize();
        DATE last;
        int num;
        ArrayList* mailItems;

    public:

        MailInfo();
        ~MailInfo();

        void setLast(wchar_t* t);

        DATE getLast();

        void setNum(wchar_t* t);
        int getNum();

        void setMailItems(ArrayList* mailItems);

        ArrayList* getMailItems();

        void addMailItem(MailItem& mailItem);


};
#endif