; NOTE: this .NSI script works on version 2.09. Thanks to Amir Szekely for the help.

Name "Funambol Windows Mobile Pocket Pc Plug-in ${VERSION_NUMBER}"
Icon "..\presetup\install.ico"
OutFile "${DIR_OUTPUT}\fileNameToRename.exe"
UninstallIcon "..\presetup\install.ico"

; Some default compiler settings (uncomment and change at will): 
 SetCompress auto 

InstallDir "$PROGRAMFILES\Funambol\Windows Mobile Plug-in"

;Function .onInit
;      MessageBox MB_OKCANCEL "It is strongly recommended to uninstall any previous installed Funambol plug-in before continuation." IDOK continue
;      Abort
;      
;      continue:
;      
;FunctionEnd

Section "File 1 (Main)" ;
SectionIn 1

SetOutPath "$INSTDIR"

;File ..\ppc2003\output\setup-ppc-2003.CAB
;File setup-ppc-2003.ini
File ${CABS}
File ${INIS}

; one-time initialization needed for InstallCAB subroutine 
ReadRegStr $1 HKEY_LOCAL_MACHINE "software\Microsoft\Windows\CurrentVersion\App Paths\CEAppMgr.exe" "" 
IfErrors Error 
Goto End
Error:
MessageBox MB_OK|MB_ICONEXCLAMATION \
"Unable to find Application Manager for Pocket Pc applications. \
Please install ActiveSync Program and reinstall Funambol."
End:
StrCpy $0 "$INSTDIR\${FILEINI}"
;StrCpy $0 "$INSTDIR\setup-ppc-wm5.ini"
Call InstallCAB 

SectionEnd ;


Section "-post" ; (post install section, happens last after any optional sections) ;
  
; write out uninstaller
WriteUninstaller "$INSTDIR\Uninstall.exe"

SectionEnd ;


ShowInstDetails nevershow ;

; begin uninstall settings/section
UninstallText "This will uninstall Funambol from your system"


Section Uninstall
SectionEnd ;

; Installs a pocket pc cab-application
; It expects $0 to contain the absolute location of the ini file 
; to be installed.
Function InstallCAB

  ExecWait '"$1" "$0"'

FunctionEnd

